# Contract Price Revision

This module allows to create revisions of contract line prices.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module:

1. Go to Invoicing > Customers > Customer Contracts if you are a billing user.
2. Select as many contracts as you want to update line prices.
3. Click on Action button and execute the wizard Create revision of contract lines.
4. Enter date start from which the new price will be valid and enter date end and percentage to increase old contract lines.
5. By clicking on Apply button, a new contract line will be created with a price increased accordingly to the percent entered. Old contract lines will have as ending date the day before the entered date.
6. When create invoices related to contracts selected, prices will be update with the prices that are not out of date.
7. When managing contract with recurrence on line level, you maybe want not to revise price for some lines. Check ‘Never Revise Price’ on line level to avoid price revisions.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV
- Tecnativa

## Contributors

- Tecnativa:
  - Vicent Cubells
  - Carlos Dauden
  - Carolina Fernandez

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/contract project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.